using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace JuSNS.Web.inc.Ajax
{
    public partial class moodnew : JuSNS.UI.Page.BasePage
    {
        protected string root = string.Empty;
        protected void Page_Load(object sender, EventArgs e)
        {
            if (GetUserID() > 0)
            {
                if (this.ReturnIsNotEmail() != string.Empty)
                {
                    Response.Write("<div class=\"spline\"></div><span class=\"font14\">您需要激活电子邮件后才能进行此操作。</span><a href=\"" + rooDir + "/EmailActive.aspx?r=" + this.GetUserID().ToString() + "\">点这里激活邮箱</a><div class=\"spline\"></div>");
                    Response.End();
                }
                root = rooDir;
                string r = Request.QueryString["r"];
                if (r == "save")
                {
                    string mContent = Request.QueryString["content"];
                    JuSNS.Home.Mood mini = new JuSNS.Home.Mood();
                    mini.SaveMini(GetUserID(), mContent, "");
                    Response.Write("success");
                    Response.End();
                }
            }
            else
            {
                Response.Write("<div class=\"spline\"></div><span class=\"font14\">请登录后进行操作！</a><div class=\"spline\"></div>");
                Response.End();
            }
        }
    }
}
